Package com.pixelmed.dose

# Class RecordingDeviceObserverContext

java.lang.Object
com.pixelmed.dose.RecordingDeviceObserverContext

public class RecordingDeviceObserverContext extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`RecordingDeviceObserverContext.Key`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`location`
`protected String`
`manufacturer`
`protected String`
`modelName`
`protected String`
`name`
`protected String`
`serialNumber`
`protected String`
`uid`

## Constructor Summary

Constructors
Constructor
Description
`RecordingDeviceObserverContext(ContentItem root)`
`RecordingDeviceObserverContext(String uid, String name, String manufacturer, String modelName, String serialNumber, String location)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getLocation()`
`String`
`getManufacturer()`
`String`
`getModelName()`
`String`
`getName()`
`String`
`getSerialNumber()`
`Map<RecordingDeviceObserverContext.Key,ContentItem>`
`getStructuredReportFragment()`
`String`
`getUID()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### uid

protected String uid

### name

protected String name

### manufacturer

protected String manufacturer

### modelName

protected String modelName

### serialNumber

protected String serialNumber

### location

protected String location

## Constructor Details

### RecordingDeviceObserverContext

public RecordingDeviceObserverContext(String uid, String name, String manufacturer, String modelName, String serialNumber, String location)

### RecordingDeviceObserverContext

public RecordingDeviceObserverContext(ContentItem root)

## Method Details

### getUID

public String getUID()

### getName

public String getName()

### getManufacturer

public String getManufacturer()

### getModelName

public String getModelName()

### getSerialNumber

public String getSerialNumber()

### getLocation

public String getLocation()

### getStructuredReportFragment

public Map<RecordingDeviceObserverContext.Key,ContentItem> getStructuredReportFragment() throws DicomException

Throws:
  `DicomException`